version: "3.5"

services:
  sangue:
    image: sangue:production
    restart: unless-stopped
    volumes:
      - /etc/localtime:/etc/localtime:ro
      - ./.django_uploads:/django_upload
    env_file:
      - .env
    networks:
      - sangue_prod_net
      - bq_infrastructure_net
      # - fixed_ip_host_net       # Rete per accedere a servizi dell'host tramite ip fisso
      # - postgres_sys_relay_net  # Rete per postgres esterno ultia spiaggia
    ports:
      - "127.0.0.1:${EVERYTHING_EXTERNAL_PORT}:${EVERYTHING_PORT}"
    logging:
      driver: journald
      options:
        tag: sangue-production
    extra_hosts:
      - "host.docker.internal:host-gateway"
  redis:
    image: redis:6
    restart: unless-stopped
    networks:
      - sangue_prod_net

  ## ATTENZIONE: se si usa il docker-compose.yml standard dell'infrastruttura briq,
  ## allora c'è già un hivemq che ascolta globalmente
  # hivemq:
  #   restart: unless-stopped
  #   image: "docker.briq.it/public/hivemq-community-edition:master"
  #   env_file:
  #     - .env
  #   volumes:
  #     - ./hivemq.config.xml:/config.xml
  #   logging:
  #     driver: syslog
  #     options:
  #       tag: "hivemq-prod"
  #   ports:
  #    - 127.0.0.1:${MQTT_PORT}:1833
  #    - 127.0.0.1:${MQTT_WEBSOCKET_PORT}:1834
  #   networks:
  #    - sangue_prod_net

networks:
  sangue_prod_net:
    driver: bridge
  bq_infrastructure_net:
    external: true
    name: bq_infrastructure_net
  # fixed_ip_host_net:
  #   external: true
  #   name: fixed_ip_host_net
  # postgres_sys_relay_net:
  #   external: true
  #   name: postgres_sys_relay_net
